### 4.10.1 link declarations

Syntax:
  `link` name `=` string_expression `;`

Purpose:
  defines a new communication link.

Default:
  none

Example:

        link l=":w example.txt";
        int i=22;          // cf. ASCII links for explanation
        string s="An int follows:";
        write(l,s,i);
        l;
      ==> // type : ASCII
      ==> // mode : w
      ==> // name : example.txt
      ==> // open : yes
      ==> // read : not ready
      ==> // write: ready
        close(l);          //
        read(l);
      ==> An int follows:
      ==> 22
      ==>
        close(l);

User manual for Singular version 4.4.1, 2025, generated by texi2html.